<?php
namespace Ak\Hydrator;

use Laminas\ConfigAggregator\ConfigAggregator;
use Laminas\ConfigAggregator\PhpFileProvider;

/**
 * Pruža konfiguraciju komponente.
 *
 * @package Ak\Hydrator
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/hydrator
 */
final class ConfigProvider
{
    /**
     * Vraća konfiguraciju
     *
     * @return array
     */
    public function __invoke(): array
    {
        return (new ConfigAggregator([
            \Laminas\Hydrator\ConfigProvider::class,
            new PhpFileProvider(__DIR__ . '/../config/*.config.php'),
        ]))->getMergedConfig();
    }
}
