<?php
namespace Ak\Hydrator;

use Laminas\Hydrator\ClassMethodsHydrator;
use Laminas\Hydrator\ReflectionHydrator;

/**
 * Hidrator za objekte koji imaju samo gettere.
 *
 * @package Ak\Hydrator
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/hydrator
 */
class ReadOnlyHydrator extends CompositeHydrator
{
    /**
     * Konstruktor.
     */
    public function __construct()
    {
        parent::__construct(new ReflectionHydrator(), new ClassMethodsHydrator());
    }
}
